Bug 201035 - security failure running postgresql regression suite
security failure running postgresql regression suite
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-02 08:58 EDT by Andrew Dunstan
Modified: 2013-07-02 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-11 11:45:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Dunstan 2006-08-02 08:58:05 EDT
Description of problem:

installed postgresql-test package but installcheck fails due to chcon failure

Version-Release number of selected component (if applicable):

-bash-3.1$ yum list installed postgresql\*
Loading "installonlyn" plugin
Installed Packages
postgresql.i386                          8.1.4-1.FC5.1          installed       
postgresql-contrib.i386                  8.1.4-1.FC5.1          installed       
postgresql-devel.i386                    8.1.4-1.FC5.1          installed       
postgresql-jdbc.i386                     8.1.4-1.FC5.1          installed       
postgresql-libs.i386                     8.1.4-1.FC5.1          installed       
postgresql-odbc.i386                     08.01.0200-1.2         installed       
postgresql-pl.i386                       8.1.4-1.FC5.1          installed       
postgresql-python.i386                   8.1.4-1.FC5.1          installed       
postgresql-server.i386                   8.1.4-1.FC5.1          installed       
postgresql-test.i386                     8.1.4-1.FC5.1          installed     

How reproducible:

every time

Steps to Reproduce:

[root@marmaduke ~]# su - postgres
-bash-3.1$ cd /usr/lib/pgsql/test/regress
-bash-3.1$ make installcheck
rm -rf testtablespace results
mkdir testtablespace results
[ -x /usr/bin/chcon ] && /usr/bin/chcon -t postgresql_db_t testtablespace results
/usr/bin/chcon: can't apply partial context to unlabeled file testtablespace
/usr/bin/chcon: can't apply partial context to unlabeled file results
make: *** [cleandirs] Error 1
Actual results:

see above

Expected results:

tests should run

Additional info:

I have SELinux disabled.
Comment 1 Tom Lane 2007-01-11 11:45:29 EST
Fixed as of current packages for FC5 and up.

Note You need to log in before you can comment on or make changes to this bug.